Bug 1415087 - [trello 60kr8WOB] Always show "scaling to 1..." in donut on Stateful Sets page which has multiple replicas
Summary: [trello 60kr8WOB] Always show "scaling to 1..." in donut on Stateful Sets pag...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 08:25 UTC by Xingxing Xia
Modified: 2017-05-30 12:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 12:50:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xingxing Xia 2017-01-20 08:25:08 UTC
Description of problem:
Always show "scaling to 1..." in donut on Stateful Sets page which has multiple replicas. DC page has no this problem.

Version-Release number of selected component (if applicable):
openshift v1.5.0-alpha.2+2543fed-29

How reproducible:
Always

Steps to Reproduce:
1. Create StatefulSet with replicas 2
apiVersion: apps/v1beta1
kind: StatefulSet
metadata:
  labels:
    app: hello
    name: hello
  name: hello
spec:
  replicas: 2
  selector:
    matchLabels:
      app: hello
  serviceName: hello
  template:
    metadata:
      labels:
        app: hello
    spec:
      containers:
      - image: aosqe/hello-openshift
        name: hello
        ports:
        - containerPort: 8080
          name: web
          protocol: TCP
      restartPolicy: Always

2. After statefulset 2 pods are all running, on web console, click Applications --> Stateful Sets --> hello, check the donut

Actual results:
2. The number in donut is 2, but there is always "scaling to 1...".
"overview" page does not have that, though.

Expected results:
2. Should not always show "scaling to 1..." in Stateful Sets page.

Additional info:

Comment 2 Xingxing Xia 2017-01-22 06:00:17 UTC
Verified in openshift v1.5.0-alpha.2+6e9d68d-91. Fixed. Now, no "scaling to 1..." in donut after all replicas are running. Thanks!


Note You need to log in before you can comment on or make changes to this bug.